## koffice 2.2.0-2

=== CMakeLists.txt ===
project(koffice)

cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)

 ############
#############
## Options ##
#############
############

 ######################
#######################
## Constants defines ##
#######################
######################

# define the generic version of the KOffice libraries here
# this makes it easy to advance it when the next KOffice release comes
set(GENERIC_KOFFICE_LIB_VERSION "7.0.0")
set(GENERIC_KOFFICE_LIB_SOVERSION "7")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

#
# WARNING: don't change the SHOULD_BUILD_app if an application
# doesn't build, but rather add the following line:
# option(BUILD_app "Build directory app" OFF)
#
#eg:
#option(BUILD_kexi "Build directory kexi" OFF) # kexi isn't buildable at the moment

option(GHNS "support Get Hot New Stuff" ON)

option(TINY "compile a tiny KOffice" OFF)

IF (TINY)
    set(SHOULD_BUILD_KWORD TRUE)
    set(SHOULD_BUILD_KPRESENTER TRUE)
    set(SHOULD_BUILD_KSPREAD TRUE)
    set(SHOULD_BUILD_KARBON FALSE)
    set(SHOULD_BUILD_KRITA FALSE)
    set(SHOULD_BUILD_KEXI FALSE)
    set(SHOULD_BUILD_KIVIO FALSE)
    set(SHOULD_BUILD_KPLATO FALSE)
    set(SHOULD_BUILD_KFORMULA FALSE)
    set(SHOULD_BUILD_KCHART FALSE)
    set(SHOULD_BUILD_KDGANTT FALSE)
    set(SHOULD_BUILD_KOUNAVAIL FALSE)
    set(SHOULD_BUILD_SCRIPTING FALSE)
    set(SHOULD_BUILD_F_OFFICE TRUE)
    set(SHOULD_BUILD_KOREPORT FALSE)
ELSE(TINY)
    set(SHOULD_BUILD_KWORD TRUE)
    set(SHOULD_BUILD_KPRESENTER TRUE)
    set(SHOULD_BUILD_KSPREAD TRUE)
    set(SHOULD_BUILD_KARBON TRUE)
    set(SHOULD_BUILD_KRITA TRUE)
    set(SHOULD_BUILD_KEXI TRUE)
    set(SHOULD_BUILD_KIVIO TRUE)
    set(SHOULD_BUILD_KPLATO TRUE)
    set(SHOULD_BUILD_KFORMULA TRUE)
    set(SHOULD_BUILD_KCHART FALSE)
    set(SHOULD_BUILD_KDGANTT TRUE)
    set(SHOULD_BUILD_KOUNAVAIL TRUE)
    set(SHOULD_BUILD_SCRIPTING TRUE)
    set(SHOULD_BUILD_F_OFFICE TRUE)
    set(SHOULD_BUILD_KOREPORT TRUE)
ENDIF(TINY)

if(KDE4_BUILD_TESTS)
    # only with this definition will the FOO_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif(KDE4_BUILD_TESTS)

 ########################
#########################
## Look for KDE and Qt ##
#########################
########################
set(KDE_MIN_VERSION "4.3.0")
find_package(KDE4 4.3.0 REQUIRED)

find_package(Qt4 4.6.0 REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include (MacroAdditionalCleanFiles)
include (MacroAddFileDependencies)

option(GHNS "support Get Hot New Stuff" ON)
if(KDE_VERSION LESS "4.4.0")
    set(GHNS FALSE)
endif(KDE_VERSION LESS "4.4.0")

 ###########################
############################
## Required dependencies  ##
############################
###########################

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)
find_package(PNG REQUIRED)

if (APPLE)
   find_package(Carbon REQUIRED)
endif (APPLE)

 ################################
#################################
## Check for OpenEXR           ##
#################################
################################


macro_optional_find_package(OpenEXR)
macro_bool_to_01(OPENEXR_FOUND HAVE_OPENEXR)


 ###########################
############################
## Optional dependencies  ##
############################
###########################

##
## Look for OpenGL
##

macro_optional_find_package(OpenGL)
set(HAVE_OPENGL 0)

if(OPENGL_FOUND)
    message(STATUS "Found OpenGL: ${OPENGL_LIBRARIES}")
    if(QT_QTOPENGL_FOUND)
        message(STATUS "Found Qt OpenGL support")
        set(HAVE_OPENGL 1)
    else(QT_QTOPENGL_FOUND)
        message(STATUS "Did NOT find Qt OpenGL support. Check your Qt configuration")
    endif(QT_QTOPENGL_FOUND)
else(OPENGL_FOUND)
    message(STATUS "Did NOT find OpenGL libraries")
endif(OPENGL_FOUND)

macro_log_feature(HAVE_OPENGL "OpenGL" "OpenGL support" "" FALSE "" "Required by parts of Krita and optionally by flake")

##
## Test for create ressources
##
macro_optional_find_package(CreateResources)
macro_log_feature(CREATERESOURCES_FOUND "Create Resources" "Create Resources (brushes, palettes etc.)" "http://create.freedesktop.org" FALSE "" "Recommended at runtime for KOffice for optional extra resources.")

##
## Test for kdepimlibs
##
macro_optional_find_package(KdepimLibs)
macro_log_feature(KDEPIMLIBS_FOUND "KDE PIMLibs" "KDE Personal Information Management Libraries" "http://www.kde.org/" FALSE "" "Required by KPlato and the KDE address book integration (available as a module in KDE)")

##
## Test for boost
##
macro_optional_find_package(Boost)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" FALSE "" "Required by KPresenter")

##
## Test for eigen2
##
macro_optional_find_package(Eigen2)
macro_log_feature(EIGEN2_FOUND "Eigen" "C++ template library for linear algebra" "http://eigen.tuxfamily.org" FALSE "2.0" "Required by KSpread and Krita")

##
## Test for blitz
##
macro_optional_find_package(Blitz)
macro_log_feature(BLITZ_FOUND "QImageBlitz" "Image effect library" "http://www.kde.org" FALSE "" "Required by Krita (available in kdesupport)")

##
## Test for QCA2
##
macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0" "Required for encrypted OpenDocument files and encrypted xls files support (available as a module in kdesupport)")

##
## Test for exiv2
##
set(EXIV2_MIN_VERSION "0.16")
macro_optional_find_package(Exiv2)
macro_log_feature(EXIV2_FOUND "Exiv2" "Image metadata library and tools" "http://www.exiv2.org" FALSE "0.16" "Required by Krita")

##
## Test for soprano
##
macro_optional_find_package(Soprano)
macro_log_feature(Soprano_FOUND "Soprano" "KDE4 RDF handling library" "http://soprano.sourceforge.net/" FALSE "" "Required to handle RDF metadata in ODF")
if(NOT Soprano_FOUND)
    set(SHOULD_BUILD_RDF FALSE)
    set(SOPRANO_INCLUDE_DIR "")
else(NOT Soprano_FOUND)
    set(SHOULD_BUILD_RDF TRUE)
endif(NOT Soprano_FOUND)
if( Soprano_FOUND )
   add_definitions( -DSHOULD_BUILD_RDF )
endif( Soprano_FOUND )


##
## Test for lcms
##
macro_optional_find_package(LCMS)
set(REQUIRED_LCMS_VERSION 118)
if(LCMS_FOUND AND NOT LCMS_VERSION LESS ${REQUIRED_LCMS_VERSION})
    set(HAVE_REQUIRED_LCMS_VERSION TRUE)
    set(HAVE_LCMS TRUE)
else(LCMS_FOUND AND NOT LCMS_VERSION LESS ${REQUIRED_LCMS_VERSION})
    set(HAVE_REQUIRED_LCMS_VERSION FALSE)
    set(HAVE_LCMS FALSE)
endif(LCMS_FOUND AND NOT LCMS_VERSION LESS ${REQUIRED_LCMS_VERSION})

macro_log_feature(HAVE_REQUIRED_LCMS_VERSION "LittleCMS" "Color management engine" "http://www.littlecms.com" FALSE "1.18" "Required for color management and Krita")

#Set the build of TextShape changetraker

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS})

if(WIN32)
    # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
    execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
    file(TO_CMAKE_PATH "${_dir}" __dir)
    find_path(KDE4_ICON_DIR oxygen PATHS
        ${__dir}
    )
    message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")

    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY ${INSTALL_TARGETS_DEFAULT_ARGS}
                        ARCHIVE ${INSTALL_TARGETS_DEFAULT_ARGS} )


else(WIN32)
    set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif(WIN32)

##
## Test endianess
##
include (TestBigEndian)
TEST_BIG_ENDIAN(CMAKE_WORDS_BIGENDIAN)

##
## Generate a file for prefix information
##

 ####################
#####################
## Define includes ##
#####################
####################

# WARNING: make sure that QT_INCLUDES is the first directory to be added to include_directory before
#          any other include directory

# for config.h and <toplevel/foo.h> includes (if any?)
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/interfaces )

# koplugin is at the bottom of the stack
set(KOPLUGIN_INCLUDES ${CMAKE_SOURCE_DIR}/libs/koplugin)

# koodf is at the bottom of the stack
set(KOODF_INCLUDES ${CMAKE_SOURCE_DIR}/libs/odf
                   ${CMAKE_BINARY_DIR}/libs/odf
                   ${KDE4_INCLUDES})

# pigment depends on koplugin and lcms
set(PIGMENT_INCLUDES ${KOPLUGIN_INCLUDES}
                   ${CMAKE_SOURCE_DIR}/libs/pigment
                   ${CMAKE_SOURCE_DIR}/libs/pigment/compositeops
                   ${CMAKE_SOURCE_DIR}/libs/pigment/resources
                   ${QT_INCLUDES}
                   ${KDE4_INCLUDES})

# flake depends on koodf and pigment
set(FLAKE_INCLUDES ${CMAKE_SOURCE_DIR}/libs/flake
                   ${KOODF_INCLUDES}
                   ${KOPLUGIN_INCLUDES}
                   ${PIGMENT_INCLUDES}
                   ${CMAKE_SOURCE_DIR}/libs/flake/commands
                   ${CMAKE_SOURCE_DIR}/libs/flake/tools
                   ${CMAKE_BINARY_DIR}/libs/flake)

# KoText depends on koplugin, odf
set(KOTEXT_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kotext
                   ${CMAKE_BINARY_DIR}/libs/kotext
                   ${CMAKE_SOURCE_DIR}/libs/kotext/changetracker
                   ${CMAKE_SOURCE_DIR}/libs/kotext/styles
                   ${CMAKE_SOURCE_DIR}/libs/kotext/opendocument
                   ${SOPRANO_INCLUDE_DIR}
                   ${FLAKE_INCLUDES}
                   ${KOODF_INCLUDES}
                   ${CMAKE_SOURCE_DIR}/libs/main)

# komain depends on kotext & flake
set(KOMAIN_INCLUDES ${KDE4_INCLUDES}
                    ${KOTEXT_INCLUDES}
                    ${CMAKE_SOURCE_DIR}/libs/widgets
                    ${CMAKE_SOURCE_DIR}/libs/main
                    ${CMAKE_SOURCE_DIR}/libs/main/config)

if(SHOULD_BUILD_SCRIPTING)
  set(KOKROSS_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kokross ${CMAKE_BINARY_DIR}/libs/kokross)
endif(SHOULD_BUILD_SCRIPTING)

# kopageapp
set(KOPAGEAPP_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kopageapp ${CMAKE_SOURCE_DIR}/libs/kopageapp/commands ${CMAKE_BINARY_DIR}/libs/kopageapp )

# koproperty
SET(KOPROPERTY_TARGETNAME koproperty)                           # TODO remove when we move to independent place
SET(KOPROPERTY_LIBS ${KOPROPERTY_TARGETNAME})                   # TODO remove when we move to independent place
SET(KOPROPERTY_LIB_VERSION ${GENERIC_KOFFICE_LIB_VERSION})      # TODO remove when we move to independent place
SET(KOPROPERTY_LIB_SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION})  # TODO remove when we move to independent place
SET(KOPROPERTY_USE_KOLIBS TRUE)                                 # TODO remove when we move to independent place
set(KOPROPERTY_INCLUDES ${KOODF_INCLUDES}
                        ${CMAKE_SOURCE_DIR}/libs
                        ${CMAKE_SOURCE_DIR}/libs/widgets)

 #############################################
##############################################
## Detect which applications can be compile ##
##############################################
#############################################

#
# WARNING: when adding a dependency if there is allready a line
# containing SHOULD_BUILD_app, don't add a new one, just add
# the test to the if construct
#


### KSpread: eigen2
if(NOT EIGEN2_FOUND)
    set(SHOULD_BUILD_KSPREAD FALSE)
endif(NOT EIGEN2_FOUND)

### KPresenter: boost
if(NOT Boost_FOUND)
    set(SHOULD_BUILD_KPRESENTER FALSE)
endif(NOT Boost_FOUND)

### Krita: pigment, blitz, eigen2, exiv2
if(NOT BLITZ_FOUND OR NOT EIGEN2_FOUND OR NOT EXIV2_FOUND)
   set(SHOULD_BUILD_KRITA FALSE)
endif(NOT BLITZ_FOUND OR NOT EIGEN2_FOUND OR NOT EXIV2_FOUND)

### KPlato: kdepimlibs
if(NOT KdepimLibs_FOUND)
    set(SHOULD_BUILD_KPLATO FALSE)
endif(NOT KdepimLibs_FOUND)

### HACK ###
# Those BUILD_ are illegally used below before they are defined, which cause problem on a first build
option(BUILD_kchart "Build directory kchart" OFF)
option(BUILD_kexi   "Build directory kexi" ON)

=== doc/CMakeLists.txt ===
if(BUILD_karbon)
	add_subdirectory(karbon)
endif(BUILD_karbon)
if(BUILD_kexi)
        add_subdirectory(kexi)
endif(BUILD_kexi)
if(BUILD_kivio)
	add_subdirectory(kivio)
endif(BUILD_kivio)
if(BUILD_kchart)
add_subdirectory(kchart)
endif(BUILD_kchart)
if(BUILD_kformula)
add_subdirectory(kformula)
endif(BUILD_kformula)
if(BUILD_koffice)
add_subdirectory(koffice)
endif(BUILD_koffice)
if(BUILD_kpresenter)        
add_subdirectory(kpresenter)
endif(BUILD_kpresenter)
if(BUILD_kspread)
	add_subdirectory(kspread)
endif(BUILD_kspread)
if(BUILD_kthesaurus)
add_subdirectory(thesaurus)
endif(BUILD_kthesaurus)
if(BUILD_koffice)
add_subdirectory(koffice)
endif(BUILD_koffice)
INSTALL(FILES   koffice.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== kchart/CMakeLists.txt ===

project(kchart)

add_subdirectory( toolbar )
add_subdirectory( pics )
add_subdirectory( templates )
add_subdirectory( tests )

include_directories(
    ${KOMAIN_INCLUDES}
	${CMAKE_CURRENT_SOURCE_DIR}/kdchart/include
	${CMAKE_CURRENT_SOURCE_DIR}/kdchart/src
	${CMAKE_CURRENT_SOURCE_DIR}/kdchart/examples/tools
	${CMAKE_CURRENT_SOURCE_DIR}/dialogs
	${CMAKE_CURRENT_SOURCE_DIR}/shape
	${CMAKE_SOURCE_DIR}/interfaces 
	 )


###########  target kchartcommon  ###############

set(kchartcommon_LIB_SRCS
   KChartFactory.cpp
   KChartPart.cpp
   KChartView.cpp
   KChartCanvas.cpp
   KChartViewAdaptor.cpp
   KChartPrintJob.cpp

   dialogs/KCPageLayout.cpp
   dialogs/KCPrinterDialog.cpp
)

kde4_add_kcfg_files(kchartcommon_LIB_SRCS prefs.kcfgc)

kde4_add_library(kchartcommon SHARED ${kchartcommon_LIB_SRCS})

target_link_libraries(kchartcommon
    kochart
    kdchart
    chartshapelib
    komain
    )

set_target_properties(kchartcommon
	PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION}
	SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION}
)

install(TARGETS kchartcommon  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### target kchartpart ###############

#set(kchartpart_PART_SRCS KChartFactoryInit.cpp )

#kde4_add_plugin(kchartpart WITH_PREFIX ${kchartpart_PART_SRCS})


#target_link_libraries(kchartpart
#	${KDE4_KDECORE_LIBS}
#	kchartcommon
	#chartshapelib
#)

#install(TARGETS kchartpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### target kchart ###############

#set(kchart_KDEINIT_SRCS main.cpp )

#kde4_add_kdeinit_executable( kchart ${kchart_KDEINIT_SRCS})

#target_link_libraries(kdeinit_kchart  ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} komain )

#install(TARGETS kdeinit_kchart  ${INSTALL_TARGETS_DEFAULT_ARGS})

#target_link_libraries( kchart kdeinit_kchart )
#install(TARGETS kchart  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  kchartpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
#install( FILES  kchart.rc kchart_readonly.rc  DESTINATION ${DATA_INSTALL_DIR}/kchart)
#install( FILES  kchart.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
#install( FILES  kchart.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

=== kformula/CMakeLists.txt ===
project(kformula)

set(KFORMULA_INCLUDES
    ${CMAKE_SOURCE_DIR}/kformula
    ${CMAKE_SOURCE_DIR}/kformula/flake
    ${KOMAIN_INCLUDES}     
    )

include_directories(${KFORMULA_INCLUDES})

add_subdirectory( pics )
add_subdirectory( flake )

########### next target ###############

set(kformulaprivate_LIB_SRCS
   KFormulaPartDocument.cpp 
   KFormulaPartView.cpp 
   KFormulaPartViewAdaptor.cpp
   KFormulaPartFactory.cpp 
   KFormulaCanvas.cpp 
   KFormulaConfigDialog.cpp )
	
kde4_add_library(kformulaprivate SHARED ${kformulaprivate_LIB_SRCS})

target_link_libraries(kformulaprivate kformulalib)

set_target_properties(kformulaprivate PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )


install(TARGETS kformulaprivate ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(kformulapart_PART_SRCS KFormulaPartFactoryInit.cpp )


kde4_add_plugin(kformulapart WITH_PREFIX ${kformulapart_PART_SRCS})

target_link_libraries(kformulapart ${KDE4_KPARTS_LIBS} kformulaprivate)

install(TARGETS kformulapart  DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(kformula_KDEINIT_SRCS main.cpp )

kde4_add_app_icon(kformula_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/hi*-app-kformula.png")

kde4_add_kdeinit_executable( kformula_bin ${kformula_KDEINIT_SRCS})

target_link_libraries(kdeinit_kformula_bin komain )

install(TARGETS kdeinit_kformula_bin  ${INSTALL_TARGETS_DEFAULT_ARGS})

set_target_properties(kdeinit_kformula_bin PROPERTIES OUTPUT_NAME kdeinit_kformula)

target_link_libraries( kformula_bin kdeinit_kformula_bin )
set_target_properties( kformula_bin PROPERTIES OUTPUT_NAME kformula)

install(TARGETS kformula_bin  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  tips  DESTINATION ${DATA_INSTALL_DIR}/kformula)
install( FILES  kformulapart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  kformula.rc kformula_readonly.rc  DESTINATION ${DATA_INSTALL_DIR}/kformula)
install( FILES  kformula.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== kspread/CMakeLists.txt ===
project(kspread)

add_subdirectory( data )
add_subdirectory( shape )
add_subdirectory( tests )
add_subdirectory( plugins )
add_subdirectory( dtd )
add_subdirectory( functions )

include_directories( ${CMAKE_SOURCE_DIR}/interfaces
                     ${CMAKE_SOURCE_DIR}/kchart
                     ${KOMAIN_INCLUDES}
                     ${KOTEXT_INCLUDES}
                     ${EIGEN2_INCLUDE_DIR} )

########### next target ###############
SET (chart_DIR_SRCS
	chart/ChartDatabaseSelectorFactory.cpp
	chart/ChartDatabaseSelector.cpp
	chart/ChartDialog.cpp
	)

kde4_add_ui_files(chart_DIR_SRCS
	chart/ChartDatabaseSelector.ui
	)

SET (commands_DIR_SRCS
	commands/AbstractRegionCommand.cpp
	commands/ApplyFilterCommand.cpp
	commands/AutoFillCommand.cpp
	commands/AutoFilterCommand.cpp
	commands/AutoFormatCommand.cpp
	commands/BorderColorCommand.cpp
        commands/ColumnStyleCommand.cpp
	commands/CommentCommand.cpp
	commands/ConditionCommand.cpp
        commands/CopyCommand.cpp
	commands/CSVDataCommand.cpp
	commands/DataManipulators.cpp
	commands/DeleteCommand.cpp
	commands/IndentationCommand.cpp
	commands/LinkCommand.cpp
	commands/MergeCommand.cpp
	commands/NamedAreaCommand.cpp
        commands/PageBreakCommand.cpp
        commands/PasteCommand.cpp
	commands/PrecisionCommand.cpp
	commands/RowColumnManipulators.cpp
        commands/RowStyleCommand.cpp
	commands/SheetCommands.cpp
	commands/SortManipulator.cpp
	commands/SpellCheckCommand.cpp
	commands/StyleCommand.cpp
	commands/ValidityCommand.cpp
	)

SET (database_DIR_SRCS
	database/Database.cpp
	database/DatabaseManager.cpp
	database/DatabaseSource.cpp
	database/DatabaseSourceQuery.cpp
	database/DatabaseSourceSql.cpp
	database/DatabaseSourceTable.cpp
	database/Filter.cpp
	database/FilterPopup.cpp
	)

SET (dialogs_DIR_SRCS
	dialogs/AddNamedAreaDialog.cpp
	dialogs/AngleDialog.cpp
	dialogs/AutoFormatDialog.cpp
	dialogs/CommentDialog.cpp
	dialogs/ConditionalDialog.cpp
	dialogs/ConsolidateDialog.cpp
	dialogs/CSVDialog.cpp
	dialogs/DatabaseDialog.cpp
	dialogs/DocumentSettingsDialog.cpp
	dialogs/FindDialog.cpp
	dialogs/FormulaDialog.cpp
	dialogs/GoalSeekDialog.cpp
	dialogs/GotoDialog.cpp
	dialogs/InsertDialog.cpp
	dialogs/LayoutDialog.cpp
	dialogs/LinkDialog.cpp
	dialogs/ListDialog.cpp
	dialogs/NamedAreaDialog.cpp
	dialogs/PasteInsertDialog.cpp
	dialogs/Resize2Dialog.cpp
	dialogs/SeriesDialog.cpp
	dialogs/ShowDialog.cpp
	dialogs/ShowColRowDialog.cpp
	dialogs/SortDialog.cpp
	dialogs/SpecialPasteDialog.cpp
	dialogs/StyleManagerDialog.cpp
	dialogs/SubtotalDialog.cpp
	dialogs/ValidityDialog.cpp
	)


kde4_add_ui_files(dialogs_DIR_SRCS
	dialogs/FontWidget.ui
        dialogs/GoalSeekWidget.ui
	dialogs/PositionWidget.ui
	dialogs/ProtectionWidget.ui
	dialogs/SpecialPasteWidget.ui
	dialogs/SubtotalWidget.ui
	)

SET (functions_DIR_SRCS
	functions/helper.cpp
	)

SET (interfaces_DIR_SRCS
	interfaces/MapAdaptor.cpp
	interfaces/SheetAdaptor.cpp
	interfaces/ViewAdaptor.cpp
	)

SET (part_DIR_SRCS
	part/Canvas.cpp
	part/CellTool.cpp
	part/CellToolFactory.cpp
	part/Digest.cpp
	part/Doc.cpp
	part/Factory.cpp
	part/Headers.cpp
	part/PrintJob.cpp
	part/PrintManager.cpp
	part/ToolRegistry.cpp
	part/TabBar.cpp
	part/View.cpp
	part/commands/DefinePrintRangeCommand.cpp
	part/commands/PageLayoutCommand.cpp
	part/dialogs/PageLayoutDialog.cpp
	part/dialogs/PreferenceDialog.cpp
	part/dialogs/SheetPropertiesDialog.cpp
	part/dialogs/SheetSelectPage.cpp
)

kde4_add_ui_files(part_DIR_SRCS
	part/dialogs/FileOptionsWidget.ui
	part/dialogs/InterfaceOptionsWidget.ui
	part/dialogs/PageLayoutSheetPage.ui
	part/dialogs/SheetPropertiesWidget.ui
	part/dialogs/SheetSelectWidget.ui
)

SET (ui_DIR_SRCS
	ui/AbstractSelectionStrategy.cpp
	ui/AutoFillStrategy.cpp
	ui/CellToolBase.cpp
	ui/CellToolBase_p.cpp
        ui/CellToolOptionWidget.cpp
	ui/CellView.cpp
	ui/DragAndDropStrategy.cpp
	ui/Editors.cpp
	ui/HyperlinkStrategy.cpp
        ui/MapViewModel.cpp
	ui/MergeStrategy.cpp
	ui/PasteStrategy.cpp
        ui/RightToLeftPaintingStrategy.cpp
	ui/SelectionStrategy.cpp
	ui/SheetView.cpp
	ui/CharSelectDia.cpp
	)

SET (kspreadcommon_LIB_SRCS
	ApplicationSettings.cpp
	Binding.cpp
	BindingManager.cpp
	CalculationSettings.cpp
	Cell.cpp
	CellStorage.cpp
	Cluster.cpp
	Condition.cpp
	Currency.cpp
	Damages.cpp
	DependencyManager.cpp
	Format.cpp
	Formula.cpp
	FunctionModule.cpp
	FunctionModuleRegistry.cpp
	Functions.cpp
	GenValidationStyle.cpp
        HeaderFooter.cpp
	Localization.cpp
	Map.cpp
        MapModel.cpp
    SheetAccessModel.cpp
	NamedAreaManager.cpp
	Number.cpp
	PageManager.cpp
	PrintSettings.cpp
        ProtectableObject.cpp
	RecalcManager.cpp
	Region.cpp
        RegionModel.cpp
	RowColumnFormat.cpp
	Selection.cpp
	ShapeApplicationData.cpp
	Sheet.cpp
        SheetModel.cpp
	SheetPrint.cpp
        SheetPrint_p.cpp
	RectStorage.cpp
	Style.cpp
	StyleManager.cpp
	StyleStorage.cpp
	Util.cpp
	Validity.cpp
	Value.cpp
	ValueCalc.cpp
	ValueConverter.cpp
	ValueFormatter.cpp
	ValueParser.cpp
	tests/inspector.cpp
	${chart_DIR_SRCS}
	${commands_DIR_SRCS}
	${database_DIR_SRCS}
	${dialogs_DIR_SRCS}
	${functions_DIR_SRCS}
	${interfaces_DIR_SRCS}
	${part_DIR_SRCS}
	${ui_DIR_SRCS}
	)

kde4_add_library(kspreadcommon SHARED ${kspreadcommon_LIB_SRCS})

target_link_libraries(kspreadcommon
    komain
    ${QT_QTSQL_LIBRARY}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    ${KDE4_KUTILS_LIBS}
#    ${KDE4_KDE3SUPPORT_LIBS}
)

target_link_libraries(kspreadcommon LINK_INTERFACE_LIBRARIES komain )

set_target_properties(kspreadcommon PROPERTIES
    VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION}
)
install(TARGETS kspreadcommon  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

SET (kspreadpart_PART_SRCS part/Factory_init.cpp )

kde4_add_plugin(kspreadpart WITH_PREFIX ${kspreadpart_PART_SRCS})



target_link_libraries(kspreadpart kspreadcommon )

install(TARGETS kspreadpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

SET (kspread_KDEINIT_SRCS part/Main.cpp )

kde4_add_app_icon(kspread_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/data/pics/hi*-app-kspread.png")

kde4_add_kdeinit_executable( kspread ${kspread_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kspread")
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KSpread 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_kspread komain )

install(TARGETS kdeinit_kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kspread kdeinit_kspread )
install(TARGETS kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  kspread.rc kspread_readonly.rc kspread.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kspread)
install( FILES  kspreadpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  kspread.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  kspread.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES  kspread_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install( FILES  kspreadrc DESTINATION ${CONFIG_INSTALL_DIR})

=== plugins/CMakeLists.txt ===
if(MSVC)
  # avoid "cannot open file 'LIBC.lib'" error
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
endif(MSVC)


include_directories(
        ${KOMAIN_INCLUDES}
)

IF (NOT TINY)
    macro_optional_add_subdirectory( scan )
    macro_optional_add_subdirectory( colorengines )
    macro_optional_add_subdirectory( paragraphtool )
    macro_optional_add_subdirectory( musicshape )
    macro_optional_add_subdirectory( divineProportion )

    macro_optional_find_package(Spnav)
    macro_log_feature(SPNAV_FOUND "Spnav" "3Dconnexion device driver and SDK" "http://spacenav.sourceforge.net/" FALSE "" "Required by SpaceNavigator 3D mouse plugin")

    IF (SPNAV_FOUND)
        macro_optional_add_subdirectory( spacenavigator )
    ENDIF (SPNAV_FOUND)
    macro_optional_add_subdirectory( artistictextshape )
    macro_optional_add_subdirectory( dockers )
    macro_optional_add_subdirectory( textediting )
    macro_optional_add_subdirectory( simpletexteditor )
ENDIF (NOT TINY)
add_subdirectory( variables )
add_subdirectory( defaultTools )
add_subdirectory( pathshapes )
add_subdirectory( chartshape )
add_subdirectory( pictureshape )
add_subdirectory( videoshape )
add_subdirectory( textshape )
add_subdirectory( pluginshape )

# as the vector shape depends on filters subdir (not really intuitive) lets allow disabling
macro_optional_add_subdirectory( vectorshape )

# only build the reporting plugins if building koreport
if (SHOULD_BUILD_KOREPORT)
    macro_optional_add_subdirectory( reporting )
endif (SHOULD_BUILD_KOREPORT)

=== filters/libmsooxml/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=30529)

include_directories(
    ${KOMAIN_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIRECTORY}
    ${CMAKE_SOURCE_DIR}/filters/kspread/xlsx # for Charting
)

########### next target ###############

set(msooxml_LIB_SRCS
    MsooXmlGlobal.cpp
    MsooXmlUtils.cpp
    MsooXmlReader.cpp
    MsooXmlCommonReader.cpp
    MsooXmlThemesReader.cpp
    MsooXmlRelationshipsReader.cpp
    MsooXmlRelationships.cpp
    MsooXmlImport.cpp
    MsooXmlDocPropertiesReader.cpp
    ${CMAKE_SOURCE_DIR}/filters/kspread/xlsx/ChartExport.cpp
    # TODO: move back to kolibs
    KoOdfExporter.cpp
)

kde4_add_library(msooxml SHARED ${msooxml_LIB_SRCS})

target_link_libraries(msooxml
    komain
)

set_target_properties(msooxml PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )
install(TARGETS msooxml ${INSTALL_TARGETS_DEFAULT_ARGS})

find_package(SharedMimeInfo)
macro_log_feature(SHARED_MIME_INFO_FOUND "SharedMimeInfo" "Shared Mime Info" "http://freedesktop.org/wiki/Software/shared-mime-info" TRUE "" "Required to determine MSOOXML file types.")

install(FILES msooxml-all.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

if (FALSE) # these headers are private for now
install( FILES
    msooxml_export.h
    MsooXmlContentTypes.h
    MsooXmlReader.h
    MsooXmlReader_p.h
    MsooXmlCommonReaderImpl.h
    MsooXmlCommonReader.h
    MsooXmlCommonReaderMethods.h
    MsooXmlSchemas.h
    MsooXmlThemesReader.h
    MsooXmlUtils.h
    MsooXmlRelationships.h
    MsooXmlImport.h
    MsooXmlCommentsReader.h
    MsooXmlDocPropertiesReader.h
    MsooXmlNotesReader.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/msooxml COMPONENT Devel
)
endif (FALSE)

=== kformula/flake/CMakeLists.txt ===
include_directories(${QT_INCLUDES} ${KOMAIN_INCLUDES}  )

########### KFormula Library ###############

set( kformulalib_PART_SRCS
   AttributeManager.cpp
   FormulaRenderer.cpp
   FormulaData.cpp
   FormulaCursor.cpp
   FormulaEditor.cpp
   FormulaCommand.cpp
   ElementFactory.cpp 
   BasicElement.cpp
   FixedElement.cpp
   RowElement.cpp
   FormulaElement.cpp 
   TextElement.cpp
   FractionElement.cpp
   SpaceElement.cpp
   GlyphElement.cpp
   IdentifierElement.cpp
   OperatorElement.cpp
   MultiscriptElement.cpp
   SubSupElement.cpp
   UnderOverElement.cpp
   FencedElement.cpp 
   TableElement.cpp
   TableRowElement.cpp
   TableEntryElement.cpp
   RootElement.cpp
   EncloseElement.cpp
   ActionElement.cpp
   PaddedElement.cpp
   ErrorElement.cpp
   StyleElement.cpp
   TokenElement.cpp
   NumberElement.cpp
   StringElement.cpp
   PhantomElement.cpp
   SquareRootElement.cpp
   UnknownElement.cpp
   Dictionary.cpp
)

kde4_add_library(kformulalib SHARED ${kformulalib_PART_SRCS})

target_link_libraries(kformulalib komain)
target_link_libraries(kformulalib LINK_INTERFACE_LIBRARIES komain)

set_target_properties(kformulalib PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )

install(TARGETS kformulalib ${INSTALL_TARGETS_DEFAULT_ARGS})

########### FormulaShape Plugin ###############

set( formulashape_PART_SRCS
   KoFormulaShapePlugin.cpp
   KoFormulaShape.cpp
   FormulaCommandUpdate.cpp
   KoFormulaShapeFactory.cpp
   KoFormulaTool.cpp
   FormulaCommand.cpp
   KoFormulaToolFactory.cpp
   FormulaToolWidget.cpp
   FormulaDocument.cpp
)

kde4_add_ui_files( formulashape_PART_SRCS
    FormulaToolWidget.ui
)

kde4_add_plugin(formulashape ${formulashape_PART_SRCS})

target_link_libraries(formulashape kformulaprivate kformulalib)


#set_target_properties(kformulalib PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )
install(TARGETS formulashape  DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES formulashape.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory( pics ) 
add_subdirectory( fonts ) 
add_subdirectory( tests )
add_subdirectory( templates )

=== kpresenter/part/CMakeLists.txt ===
project(kpresenter)

include_directories( ${KOMAIN_INCLUDES} ${KOPAGEAPP_INCLUDES} ${Boost_INCLUDE_DIR})

if(KDE4_BUILD_TESTS)
    # only with this definition will the KPRESENTER_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif(KDE4_BUILD_TESTS)


add_subdirectory(tests)
add_subdirectory(tools)

### kpresenterprivate ###
set( kpresenterprivate_LIB_SRCS
     KPrFactory.cpp
     KPrDocument.cpp
     KPrDeclarations.cpp
     KPrView.cpp
     KPrViewAdaptor.cpp
     KPrViewModePresentation.cpp
     KPrViewModeNotes.cpp
     KPrViewModePreviewPageEffect.cpp
     KPrPresentationTool.cpp
     KPrAnimationDirector.cpp
     KPrShapeAnimations.cpp
     KPrShapeManagerAnimationStrategy.cpp
     KPrShapeManagerDisplayMasterStrategy.cpp
     KPrPageData.cpp
     KPrPage.cpp
     KPrMasterPage.cpp
     KPrNotes.cpp
     KPrSoundData.cpp
     KPrSoundCollection.cpp
     KPrEventActionData.cpp
     KPrEventActionWidget.cpp
     KPrPageApplicationData.cpp
     KPrShapeApplicationData.cpp
     KPrCustomSlideShows.cpp
     KPrPresenterViewBaseInterface.cpp
     KPrPresenterViewInterface.cpp
     KPrPresenterViewSlidesInterface.cpp
     KPrPresenterViewToolWidget.cpp
     KPrPresenterViewWidget.cpp
     KPrEndOfSlideShowPage.cpp
     KPrPlaceholderShape.cpp
     KPrPlaceholderShapeFactory.cpp
     KPrPlaceholderStrategy.cpp
     KPrPlaceholderPictureStrategy.cpp
     KPrPlaceholderTextStrategy.cpp
     KPrPresentationHighlightWidget.cpp
     KPrPresentationDrawWidget.cpp
     KPrPresentationBlackWidget.cpp
     KPrPresentationStrategy.cpp
     KPrPresentationHighlightStrategy.cpp
     KPrPresentationBlackStrategy.cpp
     KPrPresentationStrategyBase.cpp
     KPrPresentationDrawStrategy.cpp
     KPrPageSelectStrategyBase.cpp
     KPrPageSelectStrategyFixed.cpp
     KPrPageSelectStrategyActive.cpp
     KPrDurationParser.cpp
     KPrHtmlExport.cpp
     KPrHtmlExportUiDelegate.cpp

     commands/KPrAnimationCreateCommand.cpp
     commands/KPrPageEffectSetCommand.cpp
     commands/KPrPageLayoutCommand.cpp
     commands/KPrSetCustomSlideShowsCommand.cpp

     dockers/KPrPreviewWidget.cpp
     dockers/KPrPageLayoutDockerFactory.cpp
     dockers/KPrPageLayoutDocker.cpp

     pageeffects/KPrPageEffectRunner.cpp
     pageeffects/KPrPageEffect.cpp
     pageeffects/KPrPageEffectStrategy.cpp
     pageeffects/KPrPageEffectFactory.cpp
     pageeffects/KPrPageEffectRegistry.cpp

     animations/KPrAnimationBase.cpp
     animations/KPrAnimSet.cpp
     animations/KPrAnimate.cpp
     animations/KPrAnimateColor.cpp
     animations/KPrAnimateMotion.cpp
     animations/KPrAnimateTransform.cpp
     animations/KPrAnimTransitionFilter.cpp
     animations/KPrAnimationFactory.cpp
     animations/KPrAnimationCache.cpp
     animations/KPrTextBlockPaintStrategy.cpp
     animations/KPrShapeAnimation.cpp
     animations/KPrAnimationStep.cpp
     animations/KPrAnimationSubStep.cpp
     animations/KPrAnimationLoader.cpp
     animations/KPrAnimationData.cpp

     animations/strategy/KPrAnimationValue.cpp
     animations/strategy/KPrValueParser.cpp
     animations/strategy/KPrAnimationAttribute.cpp
     animations/strategy/KPrSmilValues.cpp
     animations/strategy/KPrAttributeX.cpp
     animations/strategy/KPrAttributeY.cpp

     pagelayout/KPrPlaceholder.cpp
     pagelayout/KPrPageLayout.cpp
     pagelayout/KPrPageLayouts.cpp
     pagelayout/KPrPageLayoutSharedSavingData.cpp
     pagelayout/KPrPlaceholders.cpp

     ui/KPrCustomSlideShowsDialog.cpp
     ui/KPrConfigureSlideShowDialog.cpp
     ui/KPrConfigurePresenterViewDialog.cpp
     ui/KPrPresentationToolWidget.cpp
     ui/KPrHtmlExportDialog.cpp

     tools/KPrPlaceholderTool.cpp
     tools/KPrPlaceholderToolFactory.cpp
   )

kde4_add_ui_files(kpresenterprivate_LIB_SRCS
     ui/KPrCustomSlideShowsDialog.ui
     ui/KPrConfigureSlideShow.ui
     ui/KPrConfigurePresenterView.ui
     ui/KPrPresentationTool.ui
     ui/KPrHtmlExport.ui
   )

kde4_add_library(kpresenterprivate SHARED ${kpresenterprivate_LIB_SRCS})

target_link_libraries(kpresenterprivate kopageapp kowidgets ${KDE4_PHONON_LIBRARY} ${QT_QTOPENGL_LIBRARY} ${QT_QTWEBKIT_LIBRARY})
target_link_libraries(kpresenterprivate LINK_INTERFACE_LIBRARIES kopageapp)

set_target_properties(kpresenterprivate PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )
install(TARGETS kpresenterprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})

### kpresenterpart ###
set(kpresenterpart_PART_SRCS KPrFactoryInit.cpp )

kde4_add_plugin(kpresenterpart WITH_PREFIX ${kpresenterpart_PART_SRCS})



target_link_libraries(kpresenterpart kpresenterprivate )

install(TARGETS kpresenterpart DESTINATION ${PLUGIN_INSTALL_DIR})

### kdeinit kpresenter ###
set(kpresenter_KDEINIT_SRCS main.cpp )

kde4_add_app_icon(kpresenter_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kpresenter.png")

kde4_add_kdeinit_executable( kpresenter ${kpresenter_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(kpresenter PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(kpresenter PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kpresenter")
   set_target_properties(kpresenter PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KPresenter 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_kpresenter komain )

install(TARGETS kdeinit_kpresenter ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(kpresenter kdeinit_kpresenter)
install(TARGETS kpresenter ${INSTALL_TARGETS_DEFAULT_ARGS})

### desktop files ###
install( FILES kpresenterpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kpresenter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

### GUI files ###
install( FILES kpresenter.rc kpresenter_readonly.rc DESTINATION ${DATA_INSTALL_DIR}/kpresenter)

install( FILES kpresenterrc DESTINATION ${CONFIG_INSTALL_DIR} )

=== kpresenter/templates/CMakeLists.txt ===

add_subdirectory( common_icon )
add_subdirectory( Screen )
add_subdirectory( exportHTML )
#add_subdirectory( Screenpresentations )
#add_subdirectory( A4 )
#add_subdirectory( legal )
#add_subdirectory( letter )

#set(commondesktopfiles common_desktop/OneColumnLandscape.desktop common_desktop/TitleLandscape.desktop common_desktop/TwoColumnLandscape.desktop common_desktop/emptyLandscape.desktop common_desktop/OneColumnPortrait.desktop common_desktop/TitlePortrait.desktop common_desktop/TwoColumnPortrait.desktop common_desktop/emptyPortrait.desktop)
set(commondesktopfiles common_desktop/emptyLandscape.desktop common_desktop/emptyLandscapeWide.desktop)

foreach (_currentcommondesktopfiles ${commondesktopfiles})
#	install(FILES ${_currentcommondesktopfiles} DESTINATION ${DATA_INSTALL_DIR}/kpresenter/templates/A4/)
#	install(FILES ${_currentcommondesktopfiles} DESTINATION ${DATA_INSTALL_DIR}/kpresenter/templates/legal/)
#	install(FILES ${_currentcommondesktopfiles} DESTINATION ${DATA_INSTALL_DIR}/kpresenter/templates/letter/)
	install(FILES ${_currentcommondesktopfiles} DESTINATION ${DATA_INSTALL_DIR}/kpresenter/templates/Screen/)
endforeach(_currentcommondesktopfiles ${commondesktopfiles})

=== kspread/tests/CMakeLists.txt ===
include(MacroAddCompileFlags)
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${CMAKE_SOURCE_DIR}/kspread  ${EIGEN2_INCLUDE_DIR} ${KOMAIN_INCLUDES} ${KDE4_INCLUDES} )

########### Core Functionality ###############

set(TestDependencies_SRCS TestDependencies.cpp)
kde4_add_unit_test(TestDependencies TESTNAME kspread-Dependencies ${TestDependencies_SRCS})
target_link_libraries(TestDependencies kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestFormula_SRCS TestFormula.cpp)
kde4_add_unit_test(TestFormula TESTNAME kspread-Formula  ${TestFormula_SRCS})
target_link_libraries(TestFormula kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestOpenFormula_SRCS TestOpenFormula.cpp)
kde4_add_unit_test(TestOpenFormula TESTNAME kspread-OpenFormula  ${TestOpenFormula_SRCS})
target_link_libraries(TestOpenFormula kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestPointStorage_SRCS TestPointStorage.cpp)
kde4_add_unit_test(TestPointStorage TESTNAME kspread-PointStorage  ${TestPointStorage_SRCS})
target_link_libraries(TestPointStorage kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestRegion_SRCS TestRegion.cpp)
kde4_add_unit_test(TestRegion TESTNAME kspread-Region  ${TestRegion_SRCS})
target_link_libraries(TestRegion kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestRTree_SRCS TestRTree.cpp)
kde4_add_unit_test(TestRTree TESTNAME kpsread-RTree  ${TestRTree_SRCS})
target_link_libraries(TestRTree ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestValue_SRCS TestValue.cpp)
kde4_add_unit_test(TestValue TESTNAME kspread-Value  ${TestValue_SRCS})
target_link_libraries(TestValue kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})



########### Function tests ###############

set(TestBitopsFunctions_SRCS TestBitopsFunctions.cpp)
kde4_add_unit_test(TestBitopsFunctions TESTNAME kspread-BitopsFunctions  ${TestBitopsFunctions_SRCS})
target_link_libraries(TestBitopsFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestDatabaseFunctions_SRCS TestDatabaseFunctions.cpp)
kde4_add_unit_test(TestDatabaseFunctions TESTNAME kspread-DatabaseFunctions  ${TestDatabaseFunctions_SRCS})
target_link_libraries(TestDatabaseFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### target TestDatetimeFunctions ###############

set(TestDatetimeFunctions_SRCS TestDatetimeFunctions.cpp)
kde4_add_unit_test(TestDatetimeFunctions TESTNAME kspread-DatetimeFunctions  ${TestDatetimeFunctions_SRCS})
target_link_libraries(TestDatetimeFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestEngineeringFunctions_SRCS TestEngineeringFunctions.cpp)
kde4_add_unit_test(TestEngineeringFunctions TESTNAME kspread-EngineeringFunctions  ${TestEngineeringFunctions_SRCS})
target_link_libraries(TestEngineeringFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestFinancialFunctions_SRCS TestFinancialFunctions.cpp)
kde4_add_unit_test(TestFinancialFunctions TESTNAME kspread-FinancialFunctions  ${TestFinancialFunctions_SRCS})
target_link_libraries(TestFinancialFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestInformationFunctions_SRCS TestInformationFunctions.cpp)
kde4_add_unit_test(TestInformationFunctions TESTNAME kspread-InformationFunctions  ${TestInformationFunctions_SRCS})
target_link_libraries(TestInformationFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestLogicFunctions_SRCS TestLogicFunctions.cpp)
kde4_add_unit_test(TestLogicFunctions TESTNAME kspread-LogicFunctions  ${TestLogicFunctions_SRCS})
target_link_libraries(TestLogicFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestMathFunctions_SRCS TestMathFunctions.cpp)
kde4_add_unit_test(TestMathFunctions TESTNAME kspread-MathFunctions  ${TestMathFunctions_SRCS})
target_link_libraries(TestMathFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestStatisticalFunctions_SRCS TestStatisticalFunctions.cpp)
kde4_add_unit_test(TestStatisticalFunctions TESTNAME kspread-StatisticalFunctions  ${TestStatisticalFunctions_SRCS})
target_link_libraries(TestStatisticalFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestTextFunctions_SRCS TestTextFunctions.cpp)
kde4_add_unit_test(TestTextFunctions TESTNAME kspread-TextFunctions  ${TestTextFunctions_SRCS})
target_link_libraries(TestTextFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestTrigFunctions_SRCS TestTrigFunctions.cpp)
kde4_add_unit_test(TestTrigFunctions TESTNAME kspread-TrigFunctions  ${TestTrigFunctions_SRCS})
target_link_libraries(TestTrigFunctions kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestValueFormatter_SRCS TestValueFormatter.cpp)
kde4_add_unit_test(TestValueFormatter TESTNAME kspread-ValueFormatter  ${TestValueFormatter_SRCS})
macro_add_compile_flags(TestValueFormatter "-DKSPREAD_UNIT_TEST")
target_link_libraries(TestValueFormatter kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestSheet_SRCS TestSheet.cpp)
kde4_add_unit_test(TestSheet TESTNAME kspread-Sheet  ${TestSheet_SRCS})
macro_add_compile_flags(TestSheet "-DKSPREAD_UNIT_TEST")
target_link_libraries(TestSheet kspreadcommon ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### Benchmarks ###############

# set(BenchmarkCluster_SRCS BenchmarkCluster.cpp ../Cluster.cpp) # explicit Cluster.cpp for no extra symbol visibility
# kde4_add_executable(BenchmarkCluster TEST ${BenchmarkCluster_SRCS})
# target_link_libraries(BenchmarkCluster kspreadcommon ${QT_QTTEST_LIBRARY})

########### next target ###############

set(BenchmarkPointStorage_SRCS BenchmarkPointStorage.cpp)
kde4_add_executable(BenchmarkPointStorage TEST ${BenchmarkPointStorage_SRCS})
target_link_libraries(BenchmarkPointStorage ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(BenchmarkRTree_SRCS BenchmarkRTree.cpp)
kde4_add_executable(BenchmarkRTree TEST ${BenchmarkRTree_SRCS})
target_link_libraries(BenchmarkRTree ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY})

=== kword/part/CMakeLists.txt ===
project(kwordpart)

add_subdirectory( tests )

include_directories( ${KOTEXT_INCLUDES}  ${KDE4_INCLUDE_DIR}/threadweaver/ )

########### KWordPrivate library ###############

set(kwordprivate_LIB_SRCS
    KWFactory.cpp
    KWord.cpp
    KWApplicationConfig.cpp
    KWCanvas.cpp
    KWDocument.cpp
    KWGui.cpp
    KWView.cpp
    KWPage.cpp
    KWPageManager.cpp
    KWPageStyle.cpp
    KWPageTextInfo.cpp
    KWViewMode.cpp
    KWViewModeNormal.cpp
    KWViewModePreview.cpp
    KWStatusBar.cpp
    KWOdfLoader.cpp
    KWOdfWriter.cpp
    KWOdfSharedLoadingData.cpp
    KWDLoader.cpp

    frames/KWTextDocumentLayout.cpp
    frames/KWFrameLayout.cpp
    frames/KWFrame.cpp
    frames/KWFrameSet.cpp
    frames/KWTextFrame.cpp
    frames/KWTextFrameSet.cpp
    frames/KWCopyShape.cpp
    frames/KWAnchorStrategy.cpp
    frames/KWOutlineShape.cpp
    frames/Outline.cpp

    dialogs/KWFrameConnectSelector.cpp
    dialogs/KWFrameGeometry.cpp
    dialogs/KWFrameRunaroundProperties.cpp
    dialogs/KWGeneralFrameProperties.cpp
    dialogs/KWFrameDialog.cpp
    dialogs/KWShapeConfigFactory.cpp
    dialogs/KWDocumentColumns.cpp
    dialogs/KWStartupWidget.cpp
    dialogs/KWPageSettingsDialog.cpp
    dialogs/KWStatistics.cpp
    dialogs/KWStatisticsDialog.cpp
    dialogs/KWPrintingDialog.cpp
    dialogs/KWCreateBookmarkDialog.cpp
    dialogs/KWSelectBookmarkDialog.cpp
    dialogs/KWInsertPageDialog.cpp
    dockers/KWStatisticsDocker.cpp

    commands/KWPagePropertiesCommand.cpp
    commands/KWPageInsertCommand.cpp
    commands/KWPageRemoveCommand.cpp
    commands/KWFrameDeleteCommand.cpp
    commands/KWFrameCreateCommand.cpp
    commands/KWCreateOutlineCommand.cpp
    commands/KWClipFrameCommand.cpp
    commands/KWRemoveFrameClipCommand.cpp
)
if( Soprano_FOUND )
    set(kwordprivate_LIB_SRCS ${kwordprivate_LIB_SRCS}
        dockers/KWRdfDocker.cpp
        dockers/KWRdfDockerFactory.cpp
        dockers/KWRdfDockerTree.cpp
    )
endif( Soprano_FOUND )

kde4_add_ui_files(kwordprivate_LIB_SRCS
    dialogs/KWFrameConnectSelector.ui
    dialogs/KWFrameGeometry.ui
    dialogs/KWFrameRunaroundProperties.ui
    dialogs/KWGeneralFrameProperties.ui
    dialogs/KWDocumentColumns.ui
    dialogs/KWStartupWidget.ui
    dialogs/KWStatistics.ui
    dialogs/KWCreateBookmark.ui
    dialogs/KWSelectBookmark.ui
    dialogs/KWInsertPageDialog.ui
    dockers/KWStatisticsDocker.ui
)
if( Soprano_FOUND )
    kde4_add_ui_files(kwordprivate_LIB_SRCS
        dockers/KWRdfDocker.ui
    )
endif( Soprano_FOUND )


kde4_add_library(kwordprivate SHARED ${kwordprivate_LIB_SRCS})

target_link_libraries(kwordprivate komain)
if( Soprano_FOUND )
    target_link_libraries(kwordprivate ${SOPRANO_LIBRARIES})
endif( Soprano_FOUND )
target_link_libraries(kwordprivate LINK_INTERFACE_LIBRARIES komain)

set_target_properties(kwordprivate
    PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION}
)
install(TARGETS kwordprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### KWordPart Library ###############

set(kwordpart_PART_SRCS KWFactoryInit.cpp )


kde4_add_plugin(kwordpart WITH_PREFIX ${kwordpart_PART_SRCS})



target_link_libraries(kwordpart ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS} kwordprivate )

install(TARGETS kwordpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### KWord exe ###############

set(kword_KDEINIT_SRCS main.cpp )

kde4_add_app_icon(kword_KDEINIT_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/kword.png")

kde4_add_kdeinit_executable( kword ${kword_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(kword PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(kword PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kword")
   set_target_properties(kword PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KWord 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_kword  ${KDE4_KDEUI_LIBS} komain )

install(TARGETS kdeinit_kword  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kword kdeinit_kword )
install(TARGETS kword  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES kword.rc kword_readonly.rc  DESTINATION ${DATA_INSTALL_DIR}/kword)
install( FILES kwordpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kword.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES kwordrc DESTINATION ${CONFIG_INSTALL_DIR} )

=== debian/changelog ===
koffice (2.2.0-2) unstable; urgency=high

  * Took the latest snapshot from upstream

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 2 Jun 2010 08:59:41 +0200

=== debian/control ===
Source: koffice
Section: libs
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs, shared-mime-info, debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), libboost1.38-dev, libkok-dev (>= 4:4.3.2-13), libpng12-dev, libeigen2-dev, libqt4-phonon, libjpeg62-dev, automoc, libgsf-1-dev, libx11-dev, libqt4-opengl-dev
Standards-Version: 3.8.0

Package: koffice-kchart
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, kofficemeego (>= ${binary:Version})
Description: Chart support for office application suite
 KOffice chart library.

Package: kofficemeego
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libkok (>= 4:4.3.2-13), libgsf-1
Replaces: kofficemaemo
Description: Office application suite for meego.
 Koffice main libraries.

Package: kofficemeego-dev
Section: libdevel
Architecture: any
Depends: kofficemeego (>= ${binary:Version}), libkok-dev
Replaces: kofficemaemo-dev
Description: Office application suite dev files for meego.
 KOffice development files.

Package: kofficemeego-doc
Section: doc
Architecture: any
Replaces: kofficemaemo-dev
Description: Document package for kofficemeego
 Document package

Package: kofficemeego-dbg
Priority: extra
Architecture: any
Depends: kofficemeego (= ${binary:Version}), koffice-kchart (= ${binary:Version})
Replaces: kofficemaemo-dbg
Description: Office application suite dbg files for meego.
 KOffice dbg symbols.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_SHLIBDEPS_ARGS_ALL := -X*
DEB_CMAKE_EXTRA_FLAGS := -DKDE4_BUILD_TESTS=ON -DBUILD_artistictextshape=OFF -DBUILD_colorspaces=OFF -DBUILD_doc=OFF -DBUILD_generic_wrapper=OFF -DBUILD_karbon=OFF -DBUILD_kchart=ON -DBUILD_kexi=OFF -DBUILD_kformula=ON -DBUILD_kivio=OFF -DBUILD_kspread=ON -DBUILD_libkowmf=ON -DBUILD_musicshape=OFF -DBUILD_scan=OFF -DBUILD_f-office=OFF -DBUILD_simpletextedit=OFF -DTINY=ON -DCMAKE_BUILD_TYPE=Release -DGHNS=FALSE
include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

#dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/lib/*
